
#ifndef _COMMON_H_
#define _COMMON_H_

#define RX0_PIN TRISB1
#define TX0_PIN TRISB2
#define BAUD0 9600
#define FSYS 16000000L
#define NINE 0     /* Use 9bit communication? FALSE=8bit */

#define DIVIDER0 ((int)(FSYS/(16UL * BAUD0)))
//#define DIVIDER  1
#define HIGH_SPEED 1

#if NINE == 1
#define NINE_BITS 0x40
#else
#define NINE_BITS 0
#endif

#if HIGH_SPEED == 1
#define SPEED 0x4
#else
#define SPEED 0
#endif

void GPIO_Init(void);
void timer1_Init(void);
void usart0_init(void);
void Config_ADC(void);
#endif
